Subject: Re: [Rfc-markdown] End of support for xml2rfc on Python 2.x is coming soon

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 20 Jul 2020 17:17:57 +0200

Hi,

It's taken a lot longer than we thought, but I expect the next release of
xml2rfc to be 3.0.0.  I currently plan to do the 3.0.0 release shortly after
IETF 108.

Best regards,

	Henrik

On 2019-10-08 23:23, Russ Housley wrote:
> Heads up!
> 
> With the transition to xml2rfc vocabulary version 3, xml2rfc has gained
> the ability to generate PDF output when the necessary system libraries
> are installed.  However, xml2rfc runs on Python 2.7, but the library
> needed for PDF generation ended support for Python 2.7 about 10
> releases ago.  This means that the need to end support for xml2rfc on
> Python 2.7 is becoming urgent.  Another factor is that bugfix support
> for Python 2.7.x itself officially stops on 1 January 2020, so we need
> to transition away from Python 2.7 soon in any case.
> 
> The latest xml2rfc release is 2.32.0.  There will most likely be one or
> two additional xml2rfc releases in the 2.x series, but after that, the
> plan is to transition to a 3.x release series, with two major changes:
> 
> (1) xml2rfc will no longer run under Python 2.7; it will require
>     Python 3.5 or higher.  If you cannot install and run Python 3 on
>     your system, the web service at xml2rfc.ietf.org can be used.
> 
> (2) The default output formatters will change to v3.  The v2 formatters
>     will still be available by using a --legacy switch.
> 
> Expect the first xml2rfc 3.x series release before the end of the month.
> 
> On behalf of the Tools Team,
>   Russ
> 
>

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 20 Jul 2020 19:41:07 +0200

> xml2rfc to be 3.0.0.  I currently plan to do the 3.0.0 release shortly after

I've been asked to clarify whether the conversion to 3.0.0 will mean the
end of support for the v2 (RFC 7749) vocabulary or whether that vocabulary
(DTD/Schema) will continue to be supported.

Short: The v2 vocabulary will continue to be supported.

The longer answer is that (as indicated below) the default _output_ format
will change to use the v3 renderer.  xml2rfc will continue to accept v2 input,
but by default it will send it through the v2-to-v3 converter, and process
the resulting v3 xml through the v3 formatters.

If you want to use the v2 formatters directly from the v2 XML, you will need
to give the --legacy switch to xml2rfc.

Best regards,

	Henrik

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 20 Jul 2020 21:24:43 +0200

> to give the --legacy switch to xml2rfc.

Makes a lot of sense to me.
The v2-to-v3 converter seems to work very well, and continuing to support all the XML2RFCv2 files lying around (and still being generated) is the right approach as well.

Thank you, Henrik!

Grüße, Carsten